%define upstream_name    Class-Forward
%define upstream_version 0.100006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A class dispatcher that handles namespaces like paths
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Class::Forward is designed to simply return class names or dispatch method
calls using shorthand. It uses file-system path specification conventions
to match against class namespaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.100.6-12.mga10
+ Revision: 2197938
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.100.6-11.mga9
+ Revision: 1802439
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.6-10.mga8
+ Revision: 1493540
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.100.6-9.mga7
+ Revision: 1266320
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.100.6-8.mga6
+ Revision: 1023968
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.6-7.mga6
+ Revision: 948721
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.100.6-6.mga5
+ Revision: 788239
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.100.6-5.mga5
+ Revision: 750085
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.100.6-4.mga5
+ Revision: 732932
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.6-3.mga5
+ Revision: 683915
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.100.6-2.mga4
+ Revision: 531680
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 sander85 <sander85> 0.100.6-1.mga4
+ Revision: 464567
- update to 0.100006

* Wed Jun 26 2013 jquelin <jquelin> 0.100.5-1.mga4
+ Revision: 446864
- update to 0.100005

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 295143
- imported package perl-Class-Forward


* Mon Sep 17 2012 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
